@echo off

:SHARED_LIBS
set KELLER_PY_DISABLE=bcrypt;boto3;botocore;cffi;cryptography;deadline;deepdiff;ExecortexAlembic;FileMaker;getmac;jmespath;jsonpaht_rw;jsonpickle;lxml;Muster;Muster8;nacl;OpenGL;paramiko;ply;psutil;pycparser;s3transfer;scandir;shotgun_api3;tqdm;vrml;win32;ws3build

:NUKE_VARIABLES
set NUKE_VER=12.2v5
set NUKE_MAJOR=12
set NUKE_MINOR=2
set NUKE_INSTALL_PATH=C:\Program Files\Nuke%NUKE_VER%

:USER
set USER=ms
set NUKE_TEMP_DIR=E:\_CACHE\NUKE
set RV=c:\mrtn\tools\RV\_versions\_current\bin\
:/USER

:INACTIVE
rem set LENSMODEL_PATH=%NUKE_PATH%\3delens\

:WORKGROUP
set NUKE_PATH=\\hades\p\env\nuke\_workgroup\%NUKE_MAJOR%.%NUKE_MINOR%\
set NUKE_PLUGINS=%NUKE_PATH%
set OFX_PLUGIN_PATH=%NUKE_PATH%\ofx

:DEV MODE
set DEV=0

:JOB SPECIFIC:
set JOB=GEN
set PROJECT=%JOB%
set PROJECT_ROOT_3D=\\hades\p\_projekte\%JOB%
set PROJECT_ROOT_2D=\\calculon\o\_projekte\%JOB%
set FTRACK_API_PYTHONPATH=%PROJECT_ROOT_3D%\000_env\python\keller-ftrack-connect

REM if %DEV%==1 (set NUKE_PATH=%JOB%\000_dev\nuke\) else (set NUKE_PATH=%JOB%\000_env\nuke\)

:LICENSE
set foundry_LICENSE=4101@192.168.10.25;49172@192.168.10.205;5053@192.168.0.223
set peregrinel_LICENSE=5053@192.168.0.223
set keller_LICENSE=5053@192.168.0.223

:START
title Nuke %NUKE_VER% Console
echo ###################################################################################################
echo
echo Starting Nuke %NUKE_VER% ...
echo StartPath: %NUKE_INSTALL_PATH%
echo Workgroup: %NUKE_PATH%
echo Devmode: %DEV%
echo Project_Root_2D: %PROJECT_ROOT_2D%
echo Project_Root_3D: %PROJECT_ROOT_3D%
echo Job / Project: %PROJECT%
echo User: %USER%
echo User Temp Dir: %NUKE_TEMP_DIR%
echo User RV Install Path: %RV%
echo Ftrack Api Python Path: %FTRACK_API_PYTHONPATH%
echo
echo ###################################################################################################
"%NUKE_INSTALL_PATH%\nuke12.2.exe" -V --disable-nuke-frameserver %*